Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 17665 - Out of date mime-types for the GNOME desktop
Out of date mime-types for the GNOME desktop
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: control-center (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-09-18 18:42 EDT by Chris Evans
Modified: 2013-04-02 00:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-09-19 11:52:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Evans 2000-09-18 18:42:21 EDT
Hi

Notes-
1) Apologies in advance for the slightly lame component.. I'm not sure
which exact package owns the mime types

2) I guess the KDE desktop should be checked too, if it gets the mime types
from a different location?


To demonstrate some problems, go to
"The GNOME configuration tool", section "Document handlers", item "Mime
types".

Bug #1) The application for "mpeg" (and various other movie formats) is set
to "xanim". XANIM IS NOT SHIPPED IN A FULL RH7.0 INSTALL! Should the
handler application be e.g. "gtv" instead? (note that gtv doesn't handle
all the formats xanim does)

Bug #2) "ee" is set as the viewing application for a lot of image types.
Isn't there a shift towards gqview as the GNOME viewer?


I guess this bug should be treated as a generic MIME application handler
review. Shouldn't take too long.

One more note. Why are there many many different MIME definition files?
e.g.
/etc/mime.types
/usr/lib/mime.types
/usr/share/mime-info/

It is very non-unified and confusing.
Comment 1 Elliot Lee 2001-01-31 19:59:24 EST
#1 - xanim is included in powertools, gtv is not included with anything, so
xanim is probably the lesser of two evils
#2 - ee is perfectly functional and not (yet) deprecated

Note You need to log in before you can comment on or make changes to this bug.